POST Orders Pickup Times
Endpoint will return pickup time for the order
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringA
P I - Version requiredApi version
- Type: stringAcceptrequired
Accept header
- Type: stringApplicationrequired
Application key
- Type: stringAuthorizationrequired
Authorization header
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
- Type: stringFormat: uuidsingular
_point _id required - Type: stringFormat: datein
_advance _date selected date in advace
Responses
- application/json
Request Example for post/orders/pickup-times
curl https://api-public-demo.menu.app/api/orders/pickup-times \
--request POST \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'API-Version: 4.31.0' \
--header 'Accept: application/json' \
--header 'Application: ' \
--header 'Authorization: ' \
--header 'X-QB-Enabled: true' \
--header 'Content-Type: application/json' \
--data '{
"singular_point_id": "1844fcaf-ef92-4414-8b1b-430099e9dd7d"
}'
{
"status": "OK",
"code": 200,
"data": {
"pickup_times": [
"2023-05-25 07:15:00"
]
}
}